import { DataWrapperService } from '../services/dataWrapperService.js';
import type { Column, ExcelCopyBufferOption } from '../interfaces/index.js';
import { SlickEvent, SlickEventData, SlickEventHandler, type SlickGrid, SlickRange } from '../core/index.js';
export declare class SlickCellExternalCopyManager {
    pluginName: 'CellExternalCopyManager';
    onCopyCells: SlickEvent<{
        ranges: SlickRange[];
    }>;
    onCopyCancelled: SlickEvent<{
        ranges: SlickRange[];
    }>;
    onPasteCells: SlickEvent<{
        ranges: SlickRange[];
    }>;
    onBeforePasteCell: SlickEvent<{
        cell: number;
        row: number;
        item: any;
        columnDef: Column;
        value: any;
    }>;
    protected _addonOptions: ExcelCopyBufferOption;
    protected _clearCopyTI?: number;
    protected _copiedCellStyle: string;
    protected _copiedCellStyleLayerKey: string;
    protected _copiedRanges: SlickRange[] | null;
    protected _dataWrapper: DataWrapperService;
    protected _eventHandler: SlickEventHandler;
    protected _grid: SlickGrid;
    protected _onCopyInit?: () => void;
    protected _onCopySuccess?: (rowCount: number) => void;
    constructor();
    get addonOptions(): ExcelCopyBufferOption;
    get eventHandler(): SlickEventHandler;
    init(grid: SlickGrid, options?: ExcelCopyBufferOption): void;
    dispose(): void;
    clearCopySelection(): void;
    getHeaderValueForColumn(columnDef: Column): string;
    getDataItemValueForColumn(item: any, columnDef: Column, row: number, cell: number, event: SlickEventData): string;
    setDataItemValueForColumn(item: any, columnDef: Column, value: any): any | void;
    setIncludeHeaderWhenCopying(includeHeaderWhenCopying: boolean): void;
    protected decodeTabularData(grid: SlickGrid, clipText: string): void;
    protected handleKeyDown(e: SlickEventData): Promise<boolean | void>;
    protected markCopySelection(ranges: SlickRange[]): void;
}
//# sourceMappingURL=slickCellExternalCopyManager.d.ts.map