import type { ExternalResource, TextExportOption } from '../interfaces/index.js';
import type { ContainerService } from '../services/container.service.js';
import type { SlickGrid } from '../core/index.js';
export declare abstract class TextExportService implements ExternalResource {
    /** ExcelExportService class name which is use to find service instance in the external registered services */
    className: string;
    /**
     * Initialize the Export Service
     * @param _grid
     * @param _containerService
     */
    init(_grid: SlickGrid, _containerService: ContainerService): void;
    /**
     * Method to return the current locale used by the App
     * @return {string} current locale
     */
    exportToFile(_options?: TextExportOption): Promise<boolean>;
}
//# sourceMappingURL=textExport.service.d.ts.map